=== debian/changelog ===
ros-humble-ignition-cmake2-vendor (0.0.2-2jammy) jammy; urgency=high

  * Fix an ament_lint warning. (#3 <https://github.com/ignition-release/ignition_cmake2_vendor/issues/3>)
  * use --no-warn-unused-cli on MSVC (#2 <https://github.com/ignition-release/ignition_cmake2_vendor/issues/2>)
  * Fix upstream URL and package reference in manifest
  * Contributors: Chris Lalancette, Scott K Logan, Shane Loretz

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 29 Mar 2022 07:00:00 -0000

ros-humble-ignition-cmake2-vendor (0.0.1-2jammy) jammy; urgency=high

  * Initial package
  * Contributors: Scott K Logan

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 16 Aug 2021 07:00:00 -0000
