=== debian/control ===
Source: ros-humble-ignition-cmake2-vendor
Section: misc
Priority: optional
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), cmake, doxygen, git, libignition-cmake2-dev, ros-humble-ament-cmake-copyright <!nocheck>, ros-humble-ament-cmake-lint-cmake <!nocheck>, ros-humble-ament-cmake-test, ros-humble-ament-cmake-xmllint <!nocheck>, ros-humble-ros-workspace
Homepage: https://github.com/ignitionrobotics/ign-cmake
Standards-Version: 3.9.2

Package: ros-humble-ignition-cmake2-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libignition-cmake2-dev, ros-humble-ros-workspace
Description: This package provides the Ignition CMake 2.x library.
